package Bencher::ScenarioR::SetOperationModules;

our $VERSION = 0.11; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset     => "num100",
        errors      => 4.3e-07,
        participant => "Array::AsObject::symmetric_difference",
        rate        => 112.6,
        samples     => 20,
        time        => 8.878,
        vs_slowest  => 1,
      },
      {
        dataset     => "num100",
        errors      => 2e-07,
        participant => "Array::AsObject::intersection",
        rate        => 230.2,
        samples     => 22,
        time        => 4.343,
        vs_slowest  => 2.044,
      },
      {
        dataset     => "num100",
        errors      => 2.6e-07,
        participant => "Array::AsObject::difference",
        rate        => 470,
        samples     => 21,
        time        => 2.13,
        vs_slowest  => 4.17,
      },
      {
        dataset     => "num100",
        errors      => 9.1e-07,
        participant => "List::Collection::complement",
        rate        => 561,
        samples     => 20,
        time        => 1.78,
        vs_slowest  => 4.98,
      },
      {
        dataset     => "num100",
        errors      => 1.3e-06,
        participant => "Set::Array::intersection",
        rate        => 622,
        samples     => 20,
        time        => 1.61,
        vs_slowest  => 5.52,
      },
      {
        dataset     => "num100",
        errors      => 1.2e-06,
        participant => "List::Collection::union",
        rate        => 940,
        samples     => 20,
        time        => 1.1,
        vs_slowest  => 8.4,
      },
      {
        dataset     => "num100",
        errors      => 1.1e-06,
        participant => "List::Collection::intersect",
        rate        => 1400,
        samples     => 20,
        time        => 0.71,
        vs_slowest  => 12,
      },
      {
        dataset     => "num100",
        errors      => 2.7e-07,
        participant => "Set::Scalar::intersection",
        rate        => 2020,
        samples     => 20,
        time        => 0.495,
        vs_slowest  => 17.9,
      },
      {
        dataset     => "num100",
        errors      => 3.7e-07,
        participant => "Set::Scalar::union",
        rate        => 2120,
        samples     => 20,
        time        => 0.472,
        vs_slowest  => 18.8,
      },
      {
        dataset     => "num100",
        errors      => 4.2e-07,
        participant => "Set::Scalar::difference",
        rate        => 2230,
        samples     => 21,
        time        => 0.449,
        vs_slowest  => 19.8,
      },
      {
        dataset     => "num100",
        errors      => 2.1e-07,
        participant => "Set::Scalar::symmetric_difference",
        rate        => 3010,
        samples     => 20,
        time        => 0.332,
        vs_slowest  => 26.7,
      },
      {
        dataset     => "num10",
        errors      => 4.6e-08,
        participant => "Array::AsObject::symmetric_difference",
        rate        => 5100,
        samples     => 27,
        time        => 0.196,
        vs_slowest  => 45.3,
      },
      {
        dataset     => "num10",
        errors      => 6.9e-07,
        participant => "List::Collection::complement",
        rate        => 8100,
        samples     => 20,
        time        => 0.12,
        vs_slowest  => 72,
      },
      {
        dataset     => "num100",
        errors      => 1.3e-07,
        participant => "Set::Object::symmetric_difference",
        rate        => 10000,
        samples     => 20,
        time        => 0.1,
        vs_slowest  => 88,
      },
      {
        dataset     => "num100",
        errors      => 8e-08,
        participant => "Set::Object::intersection",
        rate        => 11300,
        samples     => 20,
        time        => 0.0885,
        vs_slowest  => 100,
      },
      {
        dataset     => "num100",
        errors      => 0,
        participant => "Array::AsObject::union",
        rate        => 11328.9,
        samples     => 20,
        time        => 0.0882696,
        vs_slowest  => 100.58,
      },
      {
        dataset     => "num10",
        errors      => 2.5e-08,
        participant => "Array::AsObject::intersection",
        rate        => 11500,
        samples     => 23,
        time        => 0.0872,
        vs_slowest  => 102,
      },
      {
        dataset     => "num10",
        errors      => 1.7e-07,
        participant => "Set::Scalar::intersection",
        rate        => 12000,
        samples     => 31,
        time        => 0.087,
        vs_slowest  => 100,
      },
      {
        dataset     => "num10",
        errors      => 2.7e-08,
        participant => "Set::Scalar::union",
        rate        => 12000,
        samples     => 20,
        time        => 0.0835,
        vs_slowest  => 106,
      },
      {
        dataset     => "num10",
        errors      => 2.7e-08,
        participant => "Set::Scalar::difference",
        rate        => 12500,
        samples     => 20,
        time        => 0.0802,
        vs_slowest  => 111,
      },
      {
        dataset     => "num100",
        errors      => 2.5e-08,
        participant => "Set::Array::difference",
        rate        => 13200,
        samples     => 22,
        time        => 0.076,
        vs_slowest  => 117,
      },
      {
        dataset     => "num100",
        errors      => 7.8e-08,
        participant => "Set::Array::symmetric_difference",
        rate        => 13000,
        samples     => 21,
        time        => 0.076,
        vs_slowest  => 120,
      },
      {
        dataset     => "num100",
        errors      => 1e-07,
        participant => "Set::Object::union",
        rate        => 14000,
        samples     => 21,
        time        => 0.072,
        vs_slowest  => 120,
      },
      {
        dataset     => "num100",
        errors      => 1.1e-07,
        participant => "Set::Object::difference",
        rate        => 15000,
        samples     => 20,
        time        => 0.069,
        vs_slowest  => 130,
      },
      {
        dataset     => "num100",
        errors      => 1.1e-07,
        participant => "Set::Tiny::symmetric_difference",
        rate        => 16000,
        samples     => 20,
        time        => 0.061,
        vs_slowest  => 140,
      },
      {
        dataset     => "num10",
        errors      => 9.7e-08,
        participant => "List::Collection::intersect",
        rate        => 16000,
        samples     => 24,
        time        => 0.061,
        vs_slowest  => 150,
      },
      {
        dataset     => "num10",
        errors      => 4.5e-07,
        participant => "List::Collection::union",
        rate        => 17000,
        samples     => 20,
        time        => 0.06,
        vs_slowest  => 150,
      },
      {
        dataset     => "num100",
        errors      => 2.6e-08,
        participant => "Set::Tiny::difference",
        rate        => 17400,
        samples     => 21,
        time        => 0.0573,
        vs_slowest  => 155,
      },
      {
        dataset     => "num100",
        errors      => 1.1e-07,
        participant => "Set::Tiny::union",
        rate        => 18000,
        samples     => 20,
        time        => 0.057,
        vs_slowest  => 160,
      },
      {
        dataset     => "num100",
        errors      => 1.1e-07,
        participant => "Set::Tiny::intersection",
        rate        => 18000,
        samples     => 20,
        time        => 0.055,
        vs_slowest  => 160,
      },
      {
        dataset     => "num10",
        errors      => 2.7e-08,
        participant => "Set::Scalar::symmetric_difference",
        rate        => 18800,
        samples     => 20,
        time        => 0.0532,
        vs_slowest  => 167,
      },
      {
        dataset     => "num100",
        errors      => 2.3e-08,
        participant => "Set::Array::union",
        rate        => 19100,
        samples     => 28,
        time        => 0.0524,
        vs_slowest  => 169,
      },
      {
        dataset     => "num100",
        errors      => 1.6e-07,
        participant => "Array::Set::set_intersect",
        rate        => 21000,
        samples     => 27,
        time        => 0.047,
        vs_slowest  => 190,
      },
      {
        dataset     => "num100",
        errors      => 1.2e-08,
        participant => "Array::Set::set_symdiff",
        rate        => 21200,
        samples     => 25,
        time        => 0.0471,
        vs_slowest  => 188,
      },
      {
        dataset     => "num100",
        errors      => 0,
        participant => "Array::Set::set_union",
        rate        => 22057.6,
        samples     => 23,
        time        => 0.0453358,
        vs_slowest  => 195.83,
      },
      {
        dataset     => "num10",
        errors      => 0,
        participant => "Array::AsObject::difference",
        rate        => 24076.9,
        samples     => 20,
        time        => 0.0415336,
        vs_slowest  => 213.758,
      },
      {
        dataset     => "num100",
        errors      => 4.2e-08,
        participant => "Array::Utils::array_diff",
        rate        => 26000,
        samples     => 33,
        time        => 0.038,
        vs_slowest  => 230,
      },
      {
        dataset     => "num100",
        errors      => 1.1e-08,
        participant => "List::MoreUtils::PP::singleton",
        rate        => 27000,
        samples     => 30,
        time        => 0.037,
        vs_slowest  => 240,
      },
      {
        dataset     => "num100",
        errors      => 1.2e-08,
        participant => "Array::Set::set_diff",
        rate        => 28500,
        samples     => 24,
        time        => 0.0351,
        vs_slowest  => 253,
      },
      {
        dataset     => "num100",
        errors      => 1.9e-07,
        participant => "Array::Utils::array_minus",
        rate        => 29000,
        samples     => 25,
        time        => 0.035,
        vs_slowest  => 250,
      },
      {
        dataset     => "num100",
        errors      => 1.3e-08,
        participant => "Array::Utils::intersect",
        rate        => 29300,
        samples     => 22,
        time        => 0.0342,
        vs_slowest  => 260,
      },
      {
        dataset     => "num100",
        errors      => 1.1e-08,
        participant => "List::Collection::subtract",
        rate        => 30400,
        samples     => 30,
        time        => 0.0329,
        vs_slowest  => 270,
      },
      {
        dataset     => "num100",
        errors      => 4.4e-08,
        participant => "List::MoreUtils::PP::uniq",
        rate        => 35000,
        samples     => 29,
        time        => 0.028,
        vs_slowest  => 320,
      },
      {
        dataset     => "num10",
        errors      => 5.3e-08,
        participant => "Set::Array::intersection",
        rate        => 37000,
        samples     => 20,
        time        => 0.027,
        vs_slowest  => 330,
      },
      {
        dataset     => "num100",
        errors      => 6.7e-09,
        participant => "List::MoreUtils::XS::singleton",
        rate        => 43400,
        samples     => 20,
        time        => 0.023,
        vs_slowest  => 386,
      },
      {
        dataset     => "num100",
        errors      => 5.4e-09,
        participant => "List::MoreUtils::XS::uniq",
        rate        => 56600,
        samples     => 31,
        time        => 0.0177,
        vs_slowest  => 502,
      },
      {
        dataset     => "num10",
        errors      => 5.8e-09,
        participant => "Set::Object::symmetric_difference",
        rate        => 63800,
        samples     => 26,
        time        => 0.0157,
        vs_slowest  => 567,
      },
      {
        dataset     => "num10",
        errors      => 6.7e-09,
        participant => "Set::Array::difference",
        rate        => 66800,
        samples     => 20,
        time        => 0.015,
        vs_slowest  => 593,
      },
      {
        dataset     => "num10",
        errors      => 2.5e-08,
        participant => "Set::Array::symmetric_difference",
        rate        => 73000,
        samples     => 22,
        time        => 0.014,
        vs_slowest  => 650,
      },
      {
        dataset     => "num10",
        errors      => 2.2e-08,
        participant => "Array::AsObject::union",
        rate        => 75000,
        samples     => 29,
        time        => 0.013,
        vs_slowest  => 670,
      },
      {
        dataset     => "num10",
        errors      => 1.3e-08,
        participant => "Set::Object::intersection",
        rate        => 94000,
        samples     => 20,
        time        => 0.011,
        vs_slowest  => 840,
      },
      {
        dataset     => "num10",
        errors      => 3.1e-09,
        participant => "Set::Array::union",
        rate        => 95600,
        samples     => 23,
        time        => 0.0105,
        vs_slowest  => 848,
      },
      {
        dataset     => "num10",
        errors      => 1.1e-08,
        participant => "Set::Object::union",
        rate        => 110000,
        samples     => 27,
        time        => 0.0089,
        vs_slowest  => 1000,
      },
      {
        dataset     => "num10",
        errors      => 1.2e-08,
        participant => "Set::Object::difference",
        rate        => 120000,
        samples     => 25,
        time        => 0.0086,
        vs_slowest  => 1000,
      },
      {
        dataset     => "num10",
        errors      => 1e-08,
        participant => "Set::Tiny::symmetric_difference",
        rate        => 130000,
        samples     => 20,
        time        => 0.0075,
        vs_slowest  => 1200,
      },
      {
        dataset     => "num10",
        errors      => 1.3e-08,
        participant => "Set::Tiny::difference",
        rate        => 140000,
        samples     => 20,
        time        => 0.007,
        vs_slowest  => 1300,
      },
      {
        dataset     => "num10",
        errors      => 1.3e-08,
        participant => "Set::Tiny::union",
        rate        => 150000,
        samples     => 20,
        time        => 0.0067,
        vs_slowest  => 1300,
      },
      {
        dataset     => "num10",
        errors      => 1.3e-08,
        participant => "Set::Tiny::intersection",
        rate        => 160000,
        samples     => 21,
        time        => 0.0064,
        vs_slowest  => 1400,
      },
      {
        dataset     => "num10",
        errors      => 0,
        participant => "Array::Set::set_symdiff",
        rate        => 179258,
        samples     => 20,
        time        => 0.00557856,
        vs_slowest  => 1591.47,
      },
      {
        dataset     => "num10",
        errors      => 1.4e-09,
        participant => "Array::Set::set_union",
        rate        => 183000,
        samples     => 27,
        time        => 0.00547,
        vs_slowest  => 1620,
      },
      {
        dataset     => "num10",
        errors      => 0,
        participant => "Array::Set::set_intersect",
        rate        => 184430,
        samples     => 20,
        time        => 0.0054221,
        vs_slowest  => 1637.4,
      },
      {
        dataset     => "num10",
        errors      => 1.3e-09,
        participant => "List::Collection::subtract",
        rate        => 190000,
        samples     => 32,
        time        => 0.00526,
        vs_slowest  => 1690,
      },
      {
        dataset     => "num10",
        errors      => 1.7e-09,
        participant => "Array::Utils::array_diff",
        rate        => 220000,
        samples     => 20,
        time        => 0.00455,
        vs_slowest  => 1950,
      },
      {
        dataset     => "num10",
        errors      => 0,
        participant => "Array::Set::set_diff",
        rate        => 229376,
        samples     => 20,
        time        => 0.00435965,
        vs_slowest  => 2036.43,
      },
      {
        dataset     => "num10",
        errors      => 0,
        participant => "List::MoreUtils::PP::singleton",
        rate        => 243262,
        samples     => 20,
        time        => 0.0041108,
        vs_slowest  => 2159.71,
      },
      {
        dataset     => "num100",
        errors      => 6.7e-09,
        participant => "Array::Utils::unique",
        rate        => 260000,
        samples     => 20,
        time        => 0.0038,
        vs_slowest  => 2300,
      },
      {
        dataset     => "num10",
        errors      => 0,
        participant => "Array::Utils::intersect",
        rate        => 263305,
        samples     => 20,
        time        => 0.00379788,
        vs_slowest  => 2337.66,
      },
      {
        dataset     => "num10",
        errors      => 3.8e-09,
        participant => "Array::Utils::array_minus",
        rate        => 265000,
        samples     => 35,
        time        => 0.00378,
        vs_slowest  => 2350,
      },
      {
        dataset     => "num10",
        errors      => 0,
        participant => "List::MoreUtils::PP::uniq",
        rate        => 315256,
        samples     => 20,
        time        => 0.00317203,
        vs_slowest  => 2798.88,
      },
      {
        dataset     => "num10",
        errors      => 2.5e-09,
        participant => "List::MoreUtils::XS::singleton",
        rate        => 420000,
        samples     => 20,
        time        => 0.0024,
        vs_slowest  => 3700,
      },
      {
        dataset     => "num10",
        errors      => 8.3e-10,
        participant => "List::MoreUtils::XS::uniq",
        rate        => 520000,
        samples     => 20,
        time        => 0.00192,
        vs_slowest  => 4610,
      },
      {
        dataset     => "num10",
        errors      => 1.2e-09,
        participant => "Array::Utils::unique",
        rate        => 850000,
        samples     => 20,
        time        => 0.0012,
        vs_slowest  => 7500,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "SetOperationModules",
                                          },
      "func.bencher_version"           => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 0,
                                              speed                        => 3884.898,
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 1,
                                              speed                        => 3911.062,
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 2,
                                              speed                        => 3876.531,
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 3,
                                              speed                        => 3890.742,
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 4,
                                              speed                        => 3781.039,
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 5,
                                              speed                        => 3864.843,
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 6,
                                              speed                        => 3764.304,
                                              stepping                     => 3,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "ida",
                                                                                "arat",
                                                                                "xsaveopt",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "8192 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 60,
                                              name                         => "Intel(R) Core(TM) i7-4770 CPU \@ 3.40GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 8,
                                              processor_id                 => 7,
                                              speed                        => "3797.640",
                                              stepping                     => 3,
                                            },
                                          ],
      "func.elapsed_time"              => 3.1926109790802,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__"                            => 1.034,
                                            "Array::AsObject"                        => 1.02,
                                            "Array::Set"                             => 0.05,
                                            "Array::Utils"                           => 0.5,
                                            "Bencher::Scenario::SetOperationModules" => undef,
                                            "Benchmark::Dumb"                        => "0.10",
                                            "Devel::Platform::Info"                  => 0.16,
                                            "List::Collection"                       => "0.0.4",
                                            "List::MoreUtils"                        => 0.416,
                                            "List::MoreUtils::PP"                    => 0.416,
                                            "perl"                                   => "v5.24.0",
                                            "Set::Array"                             => "0.30",
                                            "Set::Object"                            => 1.35,
                                            "Set::Scalar"                            => 1.29,
                                            "Set::Tiny"                              => 0.04,
                                            "Sys::Info"                              => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 35], "dataset", [0, 1]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "jessie",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.16.0-4-amd64",
                                            kname    => "Linux",
                                            kvers    => "3.16.0-4-amd64",
                                            osflag   => "linux",
                                            oslabel  => "Debian",
                                            osname   => "GNU/Linux",
                                            osvers   => 8.5,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Debian GNU/Linux 8 \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tDebian\nDescription:\tDebian GNU/Linux 8.5 (jessie)\nRelease:\t8.5\nCodename:\tjessie",
                                                          "uname -a"        => "Linux builder 3.16.0-4-amd64 #1 SMP Debian 3.16.36-1+deb8u1 (2016-09-03) x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.16.0-4-amd64",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::SetOperationModules",
      "func.scenario_module_md5sum"    => "20b29e2a601518f6c8db5c50e7b89db2",
      "func.scenario_module_mtime"     => 1487471706,
      "func.scenario_module_sha1sum"   => "73e5c73b5ee64a16fcafd53905a49be47aeae004",
      "func.scenario_module_sha256sum" => "2dbf153c5a603ecc20f1f3bc9a281f87ab66e5c092e066dcb0cc048dfca3c076",
      "func.time_end"                  => 1487471976.88336,
      "func.time_factor"               => 1000,
      "func.time_start"                => 1487471973.69075,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "ms"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark Perl set operation (union, intersection, diff, symmetric diff) modules

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

